> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cakto.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Progresso do aluno

> Progresso geral e por módulo, consumo e último acesso.

#### Escopo

```bash theme={null}
    read members
```


## OpenAPI

````yaml GET /public_api/members/enrollments/{id}/report/
openapi: 3.0.3
info:
  title: Cakto API
  version: 1.0.0
  description: Documentação da API pública do Cakto.
servers:
  - url: https://api.cakto.com.br
    description: Cakto API
security: []
paths:
  /public_api/members/enrollments/{id}/report/:
    get:
      tags:
        - members
      summary: Progresso do aluno
      description: Progresso geral e por módulo, consumo e último acesso.
      operationId: members_enrollments_report_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemberEnrollmentReport'
          description: ''
        '401':
          description: Request não autenticado devido à ausência ou invalidez do token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedError'
              examples:
                Token ausente ou inválido:
                  $ref: '#/components/examples/UnauthenticatedErrorExample'
        '404':
          description: Não existe ou não é da sua conta.
      security:
        - OAuth Token: []
components:
  schemas:
    MemberEnrollmentReport:
      type: object
      properties:
        enrollment:
          allOf:
            - $ref: '#/components/schemas/MemberEnrollmentReportEnrollment'
          readOnly: true
        progress:
          allOf:
            - $ref: '#/components/schemas/MemberEnrollmentProgress'
          readOnly: true
        consumption:
          allOf:
            - $ref: '#/components/schemas/MemberEnrollmentConsumption'
          readOnly: true
        modules:
          type: array
          items:
            $ref: '#/components/schemas/MemberEnrollmentModuleProgress'
          readOnly: true
      required:
        - consumption
        - enrollment
        - modules
        - progress
    UnauthenticatedError:
      type: object
      properties:
        detail:
          type: string
    MemberEnrollmentReportEnrollment:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          description: Identificador único da inscrição no sistema
        user:
          allOf:
            - $ref: '#/components/schemas/UserPublicFlex'
          readOnly: true
        access_plan:
          allOf:
            - $ref: '#/components/schemas/MemberAreaAccessPlans'
          readOnly: true
        status:
          allOf:
            - $ref: '#/components/schemas/Status0dcEnum'
          readOnly: true
          description: |-
            Status atual da inscrição

            * `active` - Ativo
            * `inactive` - Inativo
            * `expired` - Expirado
            * `blocked` - Bloqueado
            * `deleted` - Excluído
        granted_by_type:
          allOf:
            - $ref: '#/components/schemas/GrantedByTypeEnum'
          readOnly: true
          title: Tipo de Concessão
          description: |-
            Indica como a inscrição foi concedida (ex: compra, convite, etc)

            * `purchase` - Compra
            * `invite` - Convite
            * `admin_grant` - Concessão por Admin
            * `import` - Importação de Dados
            * `owner` - Dono do Produto
            * `signup` - Cadastro gratuito
        starts_at:
          type: string
          format: date-time
          readOnly: true
          title: Início da Inscrição
          description: Data e hora de início da inscrição
        expires_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
          title: Expiração da Inscrição
          description: Data e hora de expiração da inscrição
        blocked_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
          title: Bloqueio da Inscrição
          description: Data e hora de bloqueio da inscrição
        block_reason:
          type: string
          readOnly: true
          title: Motivo do Bloqueio
          description: Motivo pelo qual a inscrição foi bloqueada
        last_access_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
          title: Último Acesso
          description: Data e hora do último acesso do membro à área de membros
        access_type:
          type: string
          readOnly: true
      required:
        - access_plan
        - access_type
        - block_reason
        - blocked_at
        - expires_at
        - granted_by_type
        - id
        - last_access_at
        - starts_at
        - status
        - user
    MemberEnrollmentProgress:
      type: object
      properties:
        progress_percent:
          type: integer
        modules_total:
          type: integer
        modules_started:
          type: integer
        modules_completed:
          type: integer
      required:
        - modules_completed
        - modules_started
        - modules_total
        - progress_percent
    MemberEnrollmentConsumption:
      type: object
      properties:
        total_accesses:
          type: integer
        total_sessions:
          type: integer
        downloads_count:
          type: integer
        ebook_opens_count:
          type: integer
        ebook_downloads_count:
          type: integer
        watched_contents_count:
          type: integer
      required:
        - downloads_count
        - ebook_downloads_count
        - ebook_opens_count
        - total_accesses
        - total_sessions
        - watched_contents_count
    MemberEnrollmentModuleProgress:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          description: Identificador único do módulo
        title:
          type: string
          readOnly: true
          title: Título
          description: Título do módulo
        position:
          type: integer
          readOnly: true
          title: Posição
          description: Posição do módulo na seção, para ordenação
        section:
          allOf:
            - $ref: '#/components/schemas/MemberAreaSectionRef'
          readOnly: true
        progress_percent:
          type: integer
          readOnly: true
        status:
          type: string
          readOnly: true
        started_at:
          type: string
          format: date-time
          readOnly: true
        last_viewed_at:
          type: string
          format: date-time
          readOnly: true
        completed_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - completed_at
        - id
        - last_viewed_at
        - position
        - progress_percent
        - section
        - started_at
        - status
        - title
    UserPublicFlex:
      type: object
      properties:
        email:
          type: string
          format: email
          title: Endereço de email
          description: Email. Obrigatório e único
          maxLength: 254
        first_name:
          type: string
          title: Primeiro nome
          maxLength: 150
        last_name:
          type: string
          title: Último nome
          maxLength: 150
        picture:
          type: string
          format: uri
          readOnly: true
          nullable: true
          title: Foto de perfil
          description: Foto de perfil
      required:
        - picture
    MemberAreaAccessPlans:
      type: object
      properties:
        name:
          type: string
          readOnly: true
          title: Nome
          description: Nome do plano de acesso
        duration_days:
          type: integer
          readOnly: true
          nullable: true
          title: Duração em dias
          description: Duração do plano de acesso em dias, nulo para plano vitalício
      required:
        - duration_days
        - name
    Status0dcEnum:
      enum:
        - active
        - inactive
        - expired
        - blocked
        - deleted
      type: string
      description: |-
        * `active` - Ativo
        * `inactive` - Inativo
        * `expired` - Expirado
        * `blocked` - Bloqueado
        * `deleted` - Excluído
    GrantedByTypeEnum:
      enum:
        - purchase
        - invite
        - admin_grant
        - import
        - owner
        - signup
      type: string
      description: |-
        * `purchase` - Compra
        * `invite` - Convite
        * `admin_grant` - Concessão por Admin
        * `import` - Importação de Dados
        * `owner` - Dono do Produto
        * `signup` - Cadastro gratuito
    MemberAreaSectionRef:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          description: Identificador único da seção
        title:
          type: string
          readOnly: true
          title: Título
          description: Título da seção
      required:
        - id
        - title
  examples:
    UnauthenticatedErrorExample:
      summary: Token ausente ou inválido
      description: Token ausente ou inválido
      value:
        detail: As credenciais de autenticação não foram fornecidas.
  securitySchemes:
    OAuth Token:
      type: http
      scheme: bearer
      in: header
      name: Authorization
      description: >-
        Token de autenticação do tipo `Bearer {access_token}`, onde
        `{access_token}` é o token obtido no fluxo de
        [autenticação](/authentication).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.